Skip to main content
POST
/
api
/
v1
/
presentations
/
generate
Generate presentation
curl --request POST \
  --url https://app.steercoanalytics.com/api/v1/presentations/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-Id: <x-workspace-id>' \
  --data '
{
  "instructions": "<string>",
  "templateId": "<string>",
  "themeId": "<string>"
}
'
{
  "presentationId": "<string>",
  "summary": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Clerk API key (ak_ prefix). Generate one from your Steerco profile settings.

Headers

X-Workspace-Id
string
required

The workspace ID. Get available workspaces from GET /api/v1/workspaces.

Body

application/json
instructions
string
required

Natural language instructions for the presentation

templateId
string
required

Template ID from list templates

themeId
string
required

Theme ID from list themes

Response

Generation started

presentationId
string
required
summary
string
required
url
string
required